Subject: bug#1765: Copy/paste inconsistent with other X apps

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 Jan 2009 21:29:44 -0500

> Regarding speed issues: other applications with much larger data sets
> can use the clipboard without problems. If you read Jamie Zawinski's

IIRC the speed issue had to do with the fact that in Emacs it is very
common to select the region (with the keyboard) for purposes that have
nothing to do with cut&paste.  E.g. you may select enormous amounts of
text (e.g. almost the whole buffer) just to perform a search&replace or
an undo-in-region.

If you consider "select a region with the keyboard" as meaning "copy to
clipboard", then you can end up with serious performance problems.
Even more so with remote connections, of course.

So as long as "copy to clipboard" is a separate command there shouldn't
be any problem.

        Stefan